Forum Linux.debian/ubuntu Problème apt-get update

Posté par . Licence CC by-sa
-2
26
juil.
2017

Bonjour / bonsoir,
Je viens d'acheter un ordinateur et j'ai installé Debian dessus, jusque là tout fonctionnait niquel.
Mais lorsque je souhaite installer des paquets, cela ne fonctionne pas… il semblerait que les commandes "apt-get update", "apt-get install xxxx" ou encore "apt-get upgrade" n'aboutissent pas.

Pour apt-get update, ça affiche :
apt-get update
Lecture des listes de paquets… Fait

et ça s'arrête là.

pour apt-get upgrade :
apt-get upgrade
Lecture des listes de paquets… Fait
Construction de l'arbre des dépendances
Lecture des informations d'état… Fait
Calcul de la mise à jour… Fait
0 mis à jour, 0 nouvellement installés, 0 à enlever et 0 non mis à jour.

ça s'arrête là.

et pour n'importe quel paquet :
apt-get install xxxxxx
Lecture des listes de paquets… Fait
Construction de l'arbre des dépendances
Lecture des informations d'état… Fait
E: Impossible de trouver le paquet xxxxxx

et ça s'arrête là.
le paquet existe bel et bien, je l'ai sur mon ancien ordi (sous debian aussi).
j'avoue ne pas trop comprendre le souci.
j'ai essayé en ajoutant sudo et sudo -s, rien n'y fait.

une idée svp ?
merci d'avance.

codialement

  • # Idées

    Posté par (page perso) . Évalué à 6 (+4/-0).

    Hello,

    qu'est-ce qu'il y a dans ton /etc/apt/sources.list et dans d'éventuels /etc/apt/sources.list.d/* ?

    Et tu lances bien ça sous root?

    À+

    La gelée de coings est une chose à ne pas avaler de travers.

  • # sources ?

    Posté par . Évalué à 1 (+0/-0).

    Un problème de sources ?
    Si ton paquet provient des dépôts non-libres et que tu n'as pas ajouté ceux-ci à tes sources, ça expliquerai tout.

  • # résolu

    Posté par . Évalué à 0 (+0/-1).

    Bonjour,
    après vérification, j'ai en effet simplement oublié d'ajouter quelques liens dans /etc/apt/sources.list…

    merci à vous !
    bonne journée.

  • # echo echo

    Posté par . Évalué à 1 (+0/-0). Dernière modification le 14/08/17 à 15:05.

    Tu n'as peut-être pas de repository :d
    sudo add-apt-repository ppa:

    S'ils ne sont pas trusted ça ne fonctionne pas non plus.

    (LOL je viens de voir t'as réponse, j'étais dans le bon)

Envoyer un commentaire

Suivre le flux des commentaires

Note : les commentaires appartiennent à ceux qui les ont postés. Nous n'en sommes pas responsables.